Bug 503872 - vim.spec needs a BuildRequires: ruby ruby-devel line
vim.spec needs a BuildRequires: ruby ruby-devel line
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-03 02:01 EDT by Peter Hutterer
Modified: 2009-12-21 23:59 EST (History)
3 users (show)

See Also:
Fixed In Version: 7.2.315-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-02 12:24:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Hutterer 2009-06-03 02:01:30 EDT
Description of problem:
Sort-of a duplicate of #215307

vim in F11 comes without ruby support, although the support was explicitly enabled in 7.1.262-1 (cvs version 1.192 of vim.spec).
Installing ruby and ruby-devel before building the rpm file enables ruby support.

Version-Release number of selected component (if applicable):
vim-enhanced-7.2.148-1.fc11.i386

How reproducible:
vim --version | grep ruby
displays "+ruby" if ruby support is enabled, or "-ruby" otherwise.

Steps to Reproduce:
1. install vim-enhanced from the repos
2. vim --version | grep ruby shows "-ruby"
3. get vim source package, build, repeat 2, shows "-ruby"
4. install ruby && ruby-devel
5. build source package. vim --version shows +ruby now. See scratch build at http://koji.fedoraproject.org/koji/taskinfo?taskID=1390452

This suggests that a BuildRequires: ruby ruby-devel is missing from the spec file. Note that just ruby or ruby-devel alone is not enough, and the fix for #215307 needs to stay in the spec file too.
Comment 1 Mo Morsi 2009-08-19 17:56:39 EDT
Hey I was wondering if there was any status update on this as this is needed for ruby omni-completion to work in vim. Thanks alot.
Comment 2 Karsten Hopp 2009-12-02 12:24:33 EST
This will be fixed in the next vim release that I'm currently working on, 7.2-314 or higher
Comment 3 Fedora Update System 2009-12-03 09:29:00 EST
vim-7.2.315-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/vim-7.2.315-1.fc12
Comment 4 Fedora Update System 2009-12-03 09:29:40 EST
vim-7.2.315-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/vim-7.2.315-1.fc11
Comment 5 Fedora Update System 2009-12-03 09:30:17 EST
vim-7.2.315-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/vim-7.2.315-1.fc10
Comment 6 Fedora Update System 2009-12-21 23:43:11 EST
vim-7.2.315-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-12-21 23:58:55 EST
vim-7.2.315-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.